Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlListShuttle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIOrderingBaseComponent
                          org.richfaces.component.UIListShuttle
                              org.richfaces.component.html.HtmlListShuttle

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public class HtmlListShuttle

extends UIListShuttle

Component-Type org.richfaces.ListShuttle Component-Family org.richfaces.ListShuttle Renderer-Type org.richfaces.ListShuttleRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UIListShuttle
`UIListShuttle.SubmittedValue, UIListShuttle.ValueHolder`

Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent
`UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIListShuttle
`updateActiveItemCommand, updateSourceSelectionCommand, updateTargetSelectionCommand`

Fields inherited from class org.richfaces.component.UIOrderingBaseComponent
`isColumn`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlListShuttle()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getBottomControlLabel()` ${prop.xmlEncodedDescription} Getter for bottomControlLabel
`javax.faces.convert.Converter` | `getConverter()` converter Getter for converter
`java.lang.String` | `getCopyAllControlLabel()` ${prop.xmlEncodedDescription} Getter for copyAllControlLabel
`java.lang.String` | `getCopyControlLabel()` ${prop.xmlEncodedDescription} Getter for copyControlLabel
`java.lang.String` | `getDownControlLabel()` ${prop.xmlEncodedDescription} Getter for downControlLabel
`java.lang.String` | `getFamily()`
`java.lang.String` | `getListsHeight()` Getter for listsHeight
`java.lang.String` | `getOnorderchanged()` ${prop.xmlEncodedDescription} Getter for onorderchanged
`java.lang.String` | `getRemoveAllControlLabel()` ${prop.xmlEncodedDescription} Getter for removeAllControlLabel
`java.lang.String` | `getRemoveControlLabel()` ${prop.xmlEncodedDescription} Getter for removeControlLabel
`java.lang.String` | `getSourceCaptionLabel()` sourceCaptionLabel Getter for sourceCaptionLabel
`java.lang.String` | `getSourceListWidth()` Getter for sourceListWidth
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTargetCaptionLabel()` targetCaptionLabel Getter for targetCaptionLabel
`java.lang.String` | `getTargetListWidth()` Getter for targetListWidth
`java.lang.String` | `getTopControlLabel()` ${prop.xmlEncodedDescription} Getter for topControlLabel
`java.lang.String` | `getUpControlLabel()` ${prop.xmlEncodedDescription} Getter for upControlLabel
`javax.faces.el.MethodBinding` | `getValueChangeListener()` valueChangeListener Getter for valueChangeListener
`boolean` | `isFastMoveControlsVisible()` If false 'Copy All' and 'Remove All' controls aren’t displayed Getter for fastMoveControlsVisible
`boolean` | `isFastOrderControlsVisible()` If false 'Top' and 'Bottom' controls aren’t displayed.
`boolean` | `isImmediate()` immediate Getter for immediate
`boolean` | `isMoveControlsVisible()` If false 'Copy' and 'Remove' controls aren’t displayed Getter for moveControlsVisible
`boolean` | `isOrderControlsVisible()` If false – 'Up' and 'Down' controls shouldn't be displayed.
`boolean` | `isRequired()` required Getter for required
`boolean` | `isShowButtonLabels()` Getter for showButtonLabels
`boolean` | `isSwitchByClick()` ${prop.xmlEncodedDescription} Getter for switchByClick
`boolean` | `isValid()` valid Getter for valid
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBottomControlLabel(java.lang.String __bottomControlLabel)` ${prop.xmlEncodedDescription} Setter for bottomControlLabel
`void` | `setConverter(javax.faces.convert.Converter __converter)` converter Setter for converter
`void` | `setCopyAllControlLabel(java.lang.String __copyAllControlLabel)` ${prop.xmlEncodedDescription} Setter for copyAllControlLabel
`void` | `setCopyControlLabel(java.lang.String __copyControlLabel)` ${prop.xmlEncodedDescription} Setter for copyControlLabel
`void` | `setDownControlLabel(java.lang.String __downControlLabel)` ${prop.xmlEncodedDescription} Setter for downControlLabel
`void` | `setFastMoveControlsVisible(boolean __fastMoveControlsVisible)` If false 'Copy All' and 'Remove All' controls aren’t displayed Setter for fastMoveControlsVisible
`void` | `setFastOrderControlsVisible(boolean __fastOrderControlsVisible)` If false 'Top' and 'Bottom' controls aren’t displayed.
`void` | `setImmediate(boolean __immediate)` immediate Setter for immediate
`void` | `setListsHeight(java.lang.String __listsHeight)` Setter for listsHeight
`void` | `setMoveControlsVisible(boolean __moveControlsVisible)` If false 'Copy' and 'Remove' controls aren’t displayed Setter for moveControlsVisible
`void` | `setOnorderchanged(java.lang.String __onorderchanged)` ${prop.xmlEncodedDescription} Setter for onorderchanged
`void` | `setOrderControlsVisible(boolean __orderControlsVisible)` If false – 'Up' and 'Down' controls shouldn't be displayed.
`void` | `setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)` ${prop.xmlEncodedDescription} Setter for removeAllControlLabel
`void` | `setRemoveControlLabel(java.lang.String __removeControlLabel)` ${prop.xmlEncodedDescription} Setter for removeControlLabel
`void` | `setRequired(boolean __required)` required Setter for required
`void` | `setShowButtonLabels(boolean __showButtonLabels)` Setter for showButtonLabels
`void` | `setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)` sourceCaptionLabel Setter for sourceCaptionLabel
`void` | `setSourceListWidth(java.lang.String __sourceListWidth)` Setter for sourceListWidth
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSwitchByClick(boolean __switchByClick)` ${prop.xmlEncodedDescription} Setter for switchByClick
`void` | `setTargetCaptionLabel(java.lang.String __targetCaptionLabel)` targetCaptionLabel Setter for targetCaptionLabel
`void` | `setTargetListWidth(java.lang.String __targetListWidth)` Setter for targetListWidth
`void` | `setTopControlLabel(java.lang.String __topControlLabel)` ${prop.xmlEncodedDescription} Setter for topControlLabel
`void` | `setUpControlLabel(java.lang.String __upControlLabel)` ${prop.xmlEncodedDescription} Setter for upControlLabel
`void` | `setValid(boolean __valid)` valid Setter for valid
`void` | `setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)` valueChangeListener Setter for valueChangeListener

Methods inherited from class org.richfaces.component.UIListShuttle
`addValueChangeListener, createDataModel, getActiveItem, getItemState, getLocalValue, getSourceSelection, getSourceValue, getSubmittedValue, getTargetSelection, getTargetValue, getValueBinding, getValueChangeListeners, processDecodes, removeValueChangeListener, resetDataModel, restoreIterationSubmittedState, setActiveItem, setSourceSelection, setSourceValue, setSubmittedStrings, setSubmittedValue, setTargetSelection, setTargetValue, setValue, updateModel, validate`

Methods inherited from class org.richfaces.component.UIOrderingBaseComponent
`addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isEmpty, isLocalValueSet, isSuitableValue, processDecodes, processUpdates, processValidators, removeValidator, setLocalValueSet, setValidator, updateModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlListShuttle

    public HtmlListShuttle()

  Constructor to init default renderers

Method Detail

### setMoveControlsVisible

    public void setMoveControlsVisible(boolean __moveControlsVisible)

  If false 'Copy' and 'Remove' controls aren’t displayed Setter for moveControlsVisible

  Specified by:
    `setMoveControlsVisible` in class `UIListShuttle`
  Parameters:
    `moveControlsVisible` - - new value

### isMoveControlsVisible

    public boolean isMoveControlsVisible()

  If false 'Copy' and 'Remove' controls aren’t displayed Getter for moveControlsVisible

  Specified by:
    `isMoveControlsVisible` in class `UIListShuttle`
  Returns:
    moveControlsVisible value from local variable or value bindings

### setOrderControlsVisible

    public void setOrderControlsVisible(boolean __orderControlsVisible)

  If false – 'Up' and 'Down' controls shouldn't be displayed. Setter for orderControlsVisible

  Specified by:
    `setOrderControlsVisible` in class `UIListShuttle`
  Parameters:
    `orderControlsVisible` - - new value

### isOrderControlsVisible

    public boolean isOrderControlsVisible()

  If false – 'Up' and 'Down' controls shouldn't be displayed. Getter for orderControlsVisible

  Specified by:
    `isOrderControlsVisible` in class `UIListShuttle`
  Returns:
    orderControlsVisible value from local variable or value bindings

### setSourceListWidth

    public void setSourceListWidth(java.lang.String __sourceListWidth)

  Setter for sourceListWidth

  Parameters:
    `sourceListWidth` - - new value

### getSourceListWidth

    public java.lang.String getSourceListWidth()

  Getter for sourceListWidth

  Returns:
    sourceListWidth value from local variable or value bindings

### setRemoveControlLabel

    public void setRemoveControlLabel(java.lang.String __removeControlLabel)

  ${prop.xmlEncodedDescription} Setter for removeControlLabel

  Parameters:
    `removeControlLabel` - - new value

### getRemoveControlLabel

    public java.lang.String getRemoveControlLabel()

  ${prop.xmlEncodedDescription} Getter for removeControlLabel

  Returns:
    removeControlLabel value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setCopyControlLabel

    public void setCopyControlLabel(java.lang.String __copyControlLabel)

  ${prop.xmlEncodedDescription} Setter for copyControlLabel

  Parameters:
    `copyControlLabel` - - new value

### getCopyControlLabel

    public java.lang.String getCopyControlLabel()

  ${prop.xmlEncodedDescription} Getter for copyControlLabel

  Returns:
    copyControlLabel value from local variable or value bindings

### setConverter

    public void setConverter(javax.faces.convert.Converter __converter)

  converter Setter for converter

  Parameters:
    `converter` - - new value

### getConverter

    public javax.faces.convert.Converter getConverter()

  converter Getter for converter

  Returns:
    converter value from local variable or value bindings

### setShowButtonLabels

    public void setShowButtonLabels(boolean __showButtonLabels)

  Setter for showButtonLabels

  Parameters:
    `showButtonLabels` - - new value

### isShowButtonLabels

    public boolean isShowButtonLabels()

  Getter for showButtonLabels

  Returns:
    showButtonLabels value from local variable or value bindings

### setValid

    public void setValid(boolean __valid)

  valid Setter for valid

  Parameters:
    `valid` - - new value

### isValid

    public boolean isValid()

  valid Getter for valid

  Returns:
    valid value from local variable or value bindings

### setTargetCaptionLabel

    public void setTargetCaptionLabel(java.lang.String __targetCaptionLabel)

  targetCaptionLabel Setter for targetCaptionLabel

  Specified by:
    `setTargetCaptionLabel` in class `UIListShuttle`
  Parameters:
    `targetCaptionLabel` - - new value

### getTargetCaptionLabel

    public java.lang.String getTargetCaptionLabel()

  targetCaptionLabel Getter for targetCaptionLabel

  Specified by:
    `getTargetCaptionLabel` in class `UIListShuttle`
  Returns:
    targetCaptionLabel value from local variable or value bindings

### setSourceCaptionLabel

    public void setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)

  sourceCaptionLabel Setter for sourceCaptionLabel

  Specified by:
    `setSourceCaptionLabel` in class `UIListShuttle`
  Parameters:
    `sourceCaptionLabel` - - new value

### getSourceCaptionLabel

    public java.lang.String getSourceCaptionLabel()

  sourceCaptionLabel Getter for sourceCaptionLabel

  Specified by:
    `getSourceCaptionLabel` in class `UIListShuttle`
  Returns:
    sourceCaptionLabel value from local variable or value bindings

### setUpControlLabel

    public void setUpControlLabel(java.lang.String __upControlLabel)

  ${prop.xmlEncodedDescription} Setter for upControlLabel

  Parameters:
    `upControlLabel` - - new value

### getUpControlLabel

    public java.lang.String getUpControlLabel()

  ${prop.xmlEncodedDescription} Getter for upControlLabel

  Returns:
    upControlLabel value from local variable or value bindings

### setTargetListWidth

    public void setTargetListWidth(java.lang.String __targetListWidth)

  Setter for targetListWidth

  Parameters:
    `targetListWidth` - - new value

### getTargetListWidth

    public java.lang.String getTargetListWidth()

  Getter for targetListWidth

  Returns:
    targetListWidth value from local variable or value bindings

### setListsHeight

    public void setListsHeight(java.lang.String __listsHeight)

  Setter for listsHeight

  Parameters:
    `listsHeight` - - new value

### getListsHeight

    public java.lang.String getListsHeight()

  Getter for listsHeight

  Returns:
    listsHeight value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setOnorderchanged

    public void setOnorderchanged(java.lang.String __onorderchanged)

  ${prop.xmlEncodedDescription} Setter for onorderchanged

  Parameters:
    `onorderchanged` - - new value

### getOnorderchanged

    public java.lang.String getOnorderchanged()

  ${prop.xmlEncodedDescription} Getter for onorderchanged

  Returns:
    onorderchanged value from local variable or value bindings

### setCopyAllControlLabel

    public void setCopyAllControlLabel(java.lang.String __copyAllControlLabel)

  ${prop.xmlEncodedDescription} Setter for copyAllControlLabel

  Parameters:
    `copyAllControlLabel` - - new value

### getCopyAllControlLabel

    public java.lang.String getCopyAllControlLabel()

  ${prop.xmlEncodedDescription} Getter for copyAllControlLabel

  Returns:
    copyAllControlLabel value from local variable or value bindings

### setBottomControlLabel

    public void setBottomControlLabel(java.lang.String __bottomControlLabel)

  ${prop.xmlEncodedDescription} Setter for bottomControlLabel

  Parameters:
    `bottomControlLabel` - - new value

### getBottomControlLabel

    public java.lang.String getBottomControlLabel()

  ${prop.xmlEncodedDescription} Getter for bottomControlLabel

  Returns:
    bottomControlLabel value from local variable or value bindings

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)

  ${prop.xmlEncodedDescription} Setter for removeAllControlLabel

  Parameters:
    `removeAllControlLabel` - - new value

### getRemoveAllControlLabel

    public java.lang.String getRemoveAllControlLabel()

  ${prop.xmlEncodedDescription} Getter for removeAllControlLabel

  Returns:
    removeAllControlLabel value from local variable or value bindings

### setRequired

    public void setRequired(boolean __required)

  required Setter for required

  Parameters:
    `required` - - new value

### isRequired

    public boolean isRequired()

  required Getter for required

  Returns:
    required value from local variable or value bindings

### setValueChangeListener

    public void setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)

  valueChangeListener Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### getValueChangeListener

    public javax.faces.el.MethodBinding getValueChangeListener()

  valueChangeListener Getter for valueChangeListener

  Specified by:
    `getValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `getValueChangeListener` in class `UIListShuttle`
  Returns:
    valueChangeListener value from local variable or value bindings

### setTopControlLabel

    public void setTopControlLabel(java.lang.String __topControlLabel)

  ${prop.xmlEncodedDescription} Setter for topControlLabel

  Parameters:
    `topControlLabel` - - new value

### getTopControlLabel

    public java.lang.String getTopControlLabel()

  ${prop.xmlEncodedDescription} Getter for topControlLabel

  Returns:
    topControlLabel value from local variable or value bindings

### setSwitchByClick

    public void setSwitchByClick(boolean __switchByClick)

  ${prop.xmlEncodedDescription} Setter for switchByClick

  Parameters:
    `switchByClick` - - new value

### isSwitchByClick

    public boolean isSwitchByClick()

  ${prop.xmlEncodedDescription} Getter for switchByClick

  Returns:
    switchByClick value from local variable or value bindings

### setFastMoveControlsVisible

    public void setFastMoveControlsVisible(boolean __fastMoveControlsVisible)

  If false 'Copy All' and 'Remove All' controls aren’t displayed Setter for fastMoveControlsVisible

  Specified by:
    `setFastMoveControlsVisible` in class `UIListShuttle`
  Parameters:
    `fastMoveControlsVisible` - - new value

### isFastMoveControlsVisible

    public boolean isFastMoveControlsVisible()

  If false 'Copy All' and 'Remove All' controls aren’t displayed Getter for fastMoveControlsVisible

  Specified by:
    `isFastMoveControlsVisible` in class `UIListShuttle`
  Returns:
    fastMoveControlsVisible value from local variable or value bindings

### setImmediate

    public void setImmediate(boolean __immediate)

  immediate Setter for immediate

  Parameters:
    `immediate` - - new value

### isImmediate

    public boolean isImmediate()

  immediate Getter for immediate

  Returns:
    immediate value from local variable or value bindings

### setDownControlLabel

    public void setDownControlLabel(java.lang.String __downControlLabel)

  ${prop.xmlEncodedDescription} Setter for downControlLabel

  Parameters:
    `downControlLabel` - - new value

### getDownControlLabel

    public java.lang.String getDownControlLabel()

  ${prop.xmlEncodedDescription} Getter for downControlLabel

  Returns:
    downControlLabel value from local variable or value bindings

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(boolean __fastOrderControlsVisible)

  If false 'Top' and 'Bottom' controls aren’t displayed. Setter for fastOrderControlsVisible

  Specified by:
    `setFastOrderControlsVisible` in class `UIListShuttle`
  Parameters:
    `fastOrderControlsVisible` - - new value

### isFastOrderControlsVisible

    public boolean isFastOrderControlsVisible()

  If false 'Top' and 'Bottom' controls aren’t displayed. Getter for fastOrderControlsVisible

  Specified by:
    `isFastOrderControlsVisible` in class `UIListShuttle`
  Returns:
    fastOrderControlsVisible value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIListShuttle`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIListShuttle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.